# $Revision: 1.40 $, $Date: 2010/07/27 08:47:05 $
Summary:	Implementation of E-component of Network Intrusion Detection System
Summary(pl.UTF-8):	Implementacja E-komponentu NIDS (sieciowego systemu wykrywania intruzów)
Name:		libnids
Version:	1.24
Release:	1
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libnids/%{name}-%{version}.tar.gz
# Source0-md5:	72d37c79c85615ffe158aa524d649610
Patch0:		%{name}-libnet1.patch
Patch1:		%{name}-nolibs.patch
URL:		http://libnids.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.2.0
BuildRequires:	libnet1-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%description -l pl.UTF-8
Libnids jest implementacją E-komponentu Systemu Wykrywania Intruzów w
Sieci (NIDS). Emuluje ona stos IP Linuksa 2.0.x. Libnids oferuje
defragmentację IP, asemblację strumienia TCP oraz wykrywanie
skanowania portów TCP.

%package devel
Summary:	Header files and development documentation for libnids
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libnids
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libnids.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumetacja do libnids.

%package static
Summary:	Static libnids library
Summary(pl.UTF-8):	Biblioteka statyczna libnids
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnids library.

%description static -l pl.UTF-8
Biblioteka statyczna libnids.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%{__autoheader}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC doc/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnids.spec,v $
Revision 1.40  2010/07/27 08:47:05  zbyniu
- up to 1.24; -elif.patch obsoleted

Revision 1.39  2010/04/08 10:01:28  arekm
- release 3

Revision 1.38  2009/08/28 14:31:53  duddits
- rel. 2
- elif.patch for gcc 4.4 added

Revision 1.37  2008/07/14 18:01:54  qboosh
- updated to 1.23 (fixes remotely triggerable NULL dereference)

Revision 1.36  2008/01/04 00:55:03  zbyniu
- up to 1.22

Revision 1.35  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.33  2006/05/15 11:50:18  qboosh
- updated to 1.21 (few features added, new soname)

Revision 1.32  2005/06/20 11:56:58  qboosh
- typo

Revision 1.31  2005/06/20 11:56:13  qboosh
- strict internal deps, unified config.sub update

Revision 1.30  2005/06/06 14:13:45  zbyniu
- BR: libtool

Revision 1.29  2005/02/11 13:52:35  areq
- 1.20

Revision 1.28  2004/08/09 08:16:11  paszczus
- updated to 1.19

Revision 1.27  2004/08/07 00:17:23  arekm
- rel 3

Revision 1.26  2004/07/02 11:33:38  areq
- copy config.sub to allow build on amd64

Revision 1.25  2003/11/08 21:34:22  arekm
- rel up

Revision 1.24  2003/10/28 11:57:57  qboosh
- added nolibs patch (no -lnsl)

Revision 1.23  2003/10/28 10:14:57  qboosh
- fixed Summary

Revision 1.22  2003/10/27 22:00:22  qboosh
- security update to 1.18 (CAN-2003-0850 - memory corruption on TCP reassembly)
- updated URLs, updated libnet1 patch, removed obsolete asmgcc33 patch

Revision 1.21  2003/08/27 21:40:21  siefca
- added patch for libnet1 compatibility (due to memory faults in various apps)

Revision 1.20  2003/07/03 17:55:13  areq
- 1.17

Revision 1.19  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.18  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.15  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/03/23 14:06:48  kloczek
- release 2.

Revision 1.13  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 20:24:28  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/02/01 14:52:09  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.9  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2000/12/19 02:45:51  kloczek
- added autoconf to BuildRequires,
- cosmetics in %install.

Revision 1.7  2000/12/18 20:29:55  areq
- updated to 1.16

Revision 1.6  2000/11/20 17:55:26  misiek
don't duplicate patches

Revision 1.5  2000/11/20 17:24:27  baggins
- release 3

Revision 1.4  2000/11/20 17:24:10  baggins
- added system-libs patch
- lect configure find libpcap

Revision 1.3  2000/11/20 12:51:36  baggins
- release 2
- let configure find libnet

Revision 1.2  2000/11/02 12:17:14  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.1  2000/11/02 09:05:52  misiek
new spec
